Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagline

polynomial.laguerre.lagline(off, scl)

  Laguerre series whose graph is a straight line.

  Parameters:
    off, scl scalars

      The specified line is given by `off + scl*x`.

  Returns:
    y ndarray

      This module’s representation of the Laguerre series for `off + scl*x`.

  See also

  `numpy.polynomial.polynomial.polyline`
  `numpy.polynomial.chebyshev.chebline`
  `numpy.polynomial.legendre.legline`
  `numpy.polynomial.hermite.hermline`
  `numpy.polynomial.hermite_e.hermeline`

  Examples

      >>> from numpy.polynomial.laguerre import lagline, lagval
      >>> lagval(0,lagline(3, 2))
      3.0
      >>> lagval(1,lagline(3, 2))
      5.0